<?php 
    $product = $this->product;
    $productImages = (!empty($product->productImageData)) ? json_decode($product->productImageData) : array();
    
    $brand = $this->thisBrand;
    
    $brandLogo = \LabBase\Model\ImageSaver::GetImageS3LinkFromName('brand-avatar-'.$brand->id);
    $brandName = $brand->name;
    
    $loveCnt = ($product->loveCnt > 0) ? ' ('.$product->loveCnt.')' : '';
    $loveText = 'Love'.$loveCnt;
    $loveIconCls = 'fa-heart-o';
    $loveOrNot = 1;
    if($product->loveOrNot == 1)
    {
        $loveText = 'Loved!'.$loveCnt;
        $loveIconCls = 'fa-heart';
        $loveOrNot = 0;
    }
?>
<div aria-hidden="true" role="dialog" tabindex="-1" class="modal fade image-slider-popup" id="productImageSlider">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <button data-dismiss="modal" class="close" type="button"><i class="fa fa-times" aria-hidden="true"></i></button>
            <div data-interval="false" data-ride="carousel" class="carousel slide carousel-fade" id="carousel-example-generic-8">

                <!-- Wrapper for slides -->
                <div class="carousel-inner">
                    <?php foreach($productImages as $key => $productImage){ ?>
                        <div class="item <?php echo ($key == 0) ? "active" : ""; ?>">
                            <div class="col-md-8 nopadding image-container">
                                <img src="<?php echo $productImage->url; ?>" class="img-responsive">
                            </div>
                            <div class="col-md-4 nopadding">
                                <div class="image-content-section">
                                    <div id="image_header_content_0">
                                        <div class="image_box_header col-md-12 col-sm-12 col-xs-12">
                                            <div class="image_box_image col-md-3 col-sm-3 col-xs-3">
                                                <img alt="Logo - <?php echo $brandName; ?>" src="<?php echo $brandLogo; ?>" class="img-respoinsive">
                                            </div>
                                            <div class="col-md-9 col-sm-9 col-xs-9 nopadding">
                                                <div class="image_box_title"><?php echo $product->productTitle; ?></div>
                                                <div class="product-meta">
                                                    <span class="brand-name">
                                                        By <?php echo $brandName; ?>
                                                    </span>
                                                    <i class="fa fa-circle" aria-hidden="true"></i>
                                                    <span class="meta-name">
                                                        In <?php echo (!empty($product->collectionName)) ? $product->collectionName : $product->categoryName; ?>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="image_box_content col-md-12 col-sm-12 col-xs-12">
                                            <p><?php echo $product->productContent; ?></p>
                                        </div>

                                        <div class="image_box_actions col-md-12 col-md-12 col-sm-12 col-xs-12">
                                            <ul class="image_box_actions_control">
                                                <li>
                                                    <a onclick="javascript: makeLovedPopup(this, <?php echo $product->id; ?>);" data-loved="<?php echo $loveOrNot; ?>" class="text-info" href="javascript:void(0);">
                                                        <i aria-hidden="true" class="fa <?php echo $loveIconCls; ?>"></i> 
                                                        <span><?php echo $loveText; ?></span>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="javascript: showCommentPopupBox(<?php echo $product->id; ?>, this);" class="text-info" href="javascript:void(0);">
                                                        <i aria-hidden="true" class="fa fa-comment-o"></i> Comment
                                                    </a>
                                                </li>
                                                <li>
                                                    <div class="sharing_content">
                                                        <div class="social_sharing">
                                                            <ul>
                                                                <li><a href="javascript:void(0);" onclick="javascript:socialShare('fb', '<?php echo $productImage->url; ?>', '<?php echo $product->productTitle; ?>', '', '', '<?php echo $product->productTitle; ?>', 520, 350);"><img src="/img/social_icon/Facebook.png"></a></li>
                                                                <li><a href="javascript:void(0);" onclick="javascript:socialShare('twitter','<?php echo $productImage->url; ?>', '<?php echo $product->productTitle; ?>', '', '', 520, 350);"><img src="/img/social_icon/Twitter.png"></a></li>
                                                                <li><a href="mailto:?subject=Share with your friends&amp;body=<?php echo $productImage->url; ?>"><img src="/img/social_icon/Email.png"></a></li>
                                                            </ul>
                                                        </div>
                                                        <a class="text-info" href="javascript:void(0);">
                                                            <i aria-hidden="true" class="icon-share-circled"></i> Share
                                                        </a>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>

                                        <div class="image_box_comments col-md-12" style="display: none;">
                                            <div class="comment-section"></div>
                                            <form>
                                                <div class="image_boc_comments_area" id="comment_section_box_8_0">
                                                    <textarea style="height: 60px;" class="textarea-scrollbar scrollbar-outer form-control comment-content" placeholder="Write a comment"></textarea>
                                                </div>
                                                <div class="image_boc_comments_button">
                                                    <input type="submit" onclick="try {popupSubmitComments(<?php echo $product->id; ?>);}catch(e){} return false;" class="btn btn-info" value="Comment">
                                                </div>
                                            </form>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>

                <!-- Controls -->
                <a data-slide="prev" role="button" href="#carousel-example-generic-8" class="left carousel-control">
                    <i aria-hidden="true" class="fa fa-chevron-left"></i>
                </a>
                <a data-slide="next" role="button" href="#carousel-example-generic-8" class="right carousel-control">
                    <i aria-hidden="true" class="fa fa-chevron-right"></i>
                </a>
            </div>
        </div>
    </div>
</div>
<?php  die; ?>